Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.filter
Class BiopolimerDiagramFilter.SpeciesFilter

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.standard.filter.ValueActionFilter
              biouml.standard.filter.BiopolimerDiagramFilter.SpeciesFilter

All Implemented Interfaces:
  ActionFilter

Enclosing class:
  BiopolimerDiagramFilter

public static class BiopolimerDiagramFilter.SpeciesFilter
extends ValueActionFilter

Field Summary

Fields inherited from class biouml.standard.filter.ValueActionFilter
`EMPTY_VALUE`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`BiopolimerDiagramFilter.SpeciesFilter(com.beanexplorer.beans.Option filter, java.lang.String[] values)`

Method Summary
`java.lang.String` | `getValue(DataElement de)`

Methods inherited from class biouml.standard.filter.ValueActionFilter
`getAction, getItemDisplayName, getValueAction, getValueAction, isEnabled, isUseEmptyValue, setEnabled, setValueAction, setValueAction`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiopolimerDiagramFilter.SpeciesFilter

    public BiopolimerDiagramFilter.SpeciesFilter(com.beanexplorer.beans.Option filter,
                                                 java.lang.String[] values)

Method Detail

### getValue

    public java.lang.String getValue(DataElement de)

  Specified by:
    `getValue` in class `ValueActionFilter`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.